Skip to main content
GET
Get a bank account

Authorizations

Authorization
string
header
required

Cognito JWT token for regular user authentication

Path Parameters

accountId
string
required

The bank account ID

Response

Bank account details. The type field indicates the account variant.

Bank account details. The type field indicates the account variant.

id
string
required

Unique identifier for the bank account

Example:

"ba_abc123"

status
required

Current status of the account

Available options:
active
Example:

"active"

statusReason
required

Why the account is not usable, or null when no reason applies.

Available options:
account_invalid
Example:

"account_invalid"

accountHolderName
string
required

Name of the account holder

Example:

"John Doe"

supportedRails
enum<string>[]
required

Payment rails available for this account

Fiat delivery rail.

  • ach_standard: ACH bank transfer, next business day.
  • ach_same_day: ACH same-day transfer, delivered same business day.
  • rtp: Real-time payment, seconds, 24/7.
  • wire: Wire transfer, same/next day.
  • eft: Electronic funds transfer, 1-2 business days.
  • sepa: SEPA transfer (EU), 1-2 business days.
  • faster_payments: UK Faster Payments, near-instant.
  • push_to_card: Push to debit card, minutes.
  • bill_pay: Bill payment rail.
  • card_deposit: Deposit to crypto card.
Available options:
ach_standard
Example:

"ach_standard"

Example:
createdAt
string<date-time>
required

When the account was created

fundingSourceId
string | null
required

Associated opaque public funding source identifier, or null when no funding source exists for this bank account.

type
enum<string>
required
Available options:
us
currency
enum<string>
required
Available options:
USD
accountNumberLast4
string
required

Last 4 digits of account number

Example:

"6789"

routingNumberLast4
string
required

Last 4 digits of routing number

Example:

"0021"

institution
object

Financial institution details

label
string

Friendly name for the account

Example:

"Primary Checking"

accountSubtype

Type of bank account (checking or savings)

Available options:
checking
Example:

"checking"